Subject: Re: [Cbor] Magic number

From: [email-masked] (Dale R. Worley)
Date: Thu, 05 Dec 2019 23:02:54 -0500

Carsten Bormann <[email-masked]> writes:
> However, not all CBOR carries this magic number.

> I don't know if there is a way to say that "there is an optional magic
> number defined that can be used by applications that want to use it"
> in a media type registration.

Functionally, I don't see this as a problem, as I've never known of an
application that definitively rejected a file as not having a particular
content type unless the application had specific knowledge of the
details of the content type.  OTOH, the "file" utility and others will
differentiate a great number of content types based on the presence of
magic numbers.  That is, people generally assume that "file" can produce
false negatives.

Dale